%define upstream_name    Dist-Zilla-Plugin-MakeMaker-Awesome
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A more awesome MakeMaker plugin for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker) >= 4.300.32
BuildRequires: perl(Dist::Zilla::Role::BuildRunner)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TestRunner)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-OverridableMakeMaker

%description
the Dist::Zilla manpage's Dist::Zilla::Plugin::MakeMaker plugin is limited,
if you want to stray from the marked path and do something that would
normally be done in a 'package MY' section or otherwise run custom code in
your _Makefile.PL_ you're out of luck.

This plugin is 100% compatable with the Dist::Zilla::Plugin::MakeMaker
manpage, but if you need something more complex you can just subclass it:

Then, in your _dist.ini_:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.170.0-2.mga4
+ Revision: 537826
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.170.0-1.mga4
+ Revision: 487828
- update to 0.17

* Thu Sep 26 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 487167
- update to 0.16

* Mon Sep 09 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 476588
- update to 0.15

* Mon Jun 10 2013 jquelin <jquelin> 0.140.0-1.mga4
+ Revision: 441574
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 366251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 24 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 58896
- update to 0.12

* Wed Jan 26 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 40461
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MakeMaker-Awesome

